#include <stdio.h>

static void (*ext_error) (void);

void set_error_routine( void (*error_routine) (void) ) {
    printf("set_error_routine() start\n");
    ext_error = error_routine;
    printf("set_error_routine() end\n");
}

void error(void) {
    printf("error() start\n");
    if (ext_error) ext_error();
    printf("error() end\n");
}
