#include <iostream>
#include <exception>

extern "C"
{
#include "libtest.h"
}

using namespace std;

void error_routine(void )
{
    cout << "error_routine called\n";
    throw 0; 
}

void error_cpp(void )
{
    cout << "error_cpp called\n";
    throw 0; 
}

int main (void) {
    set_error_routine ( error_routine );
    try {
      error_cpp();
    } catch (int) { cout << "caught int from error_cpp\n"; }

    try {
      error();
    } catch (int) { cout << "caught int from error\n"; }
    return 0;
}

